{% extends "base.html" %}
{% import 'bootstrap/wtf.html' as wtf %}

{% block app_content %}
<section class="login py-5 border-top-1">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-lg-5 col-md-8 align-item-center">
                <div class="border">
                    <h3 class="bg-gray p-4">注 册</h3>
                    <form method="post">
                        <fieldset class="p-4">
                            {{form.csrf_token}}
                            {{form.userid.label}}
                            {{form.userid}}
                            {{form.username.label}}
                            {{form.username}}
                            {{form.password1.label}}
                            {{form.password1}}
                            {% for error in form.password1.errors:%}
                            <p class="error">{{error}}</p>
                            {% endfor %}
                            {{form.password2.label}}
                            {{form.password2}}
                            {% for error in form.password2.errors:%}
                            <p class="error">{{error}}</p>
                            {% endfor %}
                            {{form.identification.label}}
                            {{form.identification}}
                            {{form.email.label}}
                            {{form.email}}
                            {% for error in form.email.errors:%}
                            <p class="error">{{error}}</p>
                            {% endfor %}
                            {{form.phone.label}}
                            {{form.phone}}
                            {{form.submit}}
                            <p class="mt-3 d-block text-right">已有账号?
                            <a class='text-primary' href="{{url_for('login')}}">马上登录</a></p>
                        </fieldset>
                    </form>
                </div>
            </div>
        </div>
    </div>
</section>
{% endblock %}